Summary:	The M17N engine for IBus platform
Summary(pl.UTF-8):	Silnik M17N dla platformy IBus
Name:		ibus-m17n
Version:	1.4.2
Release:	1
License:	GPL v2+
Group:		Libraries
#Source0Download: https://github.com/ibus/ibus-m17n/releases
Source0:	https://github.com/ibus/ibus-m17n/releases/download/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	2042a1da9675041a853d6eba7517b212
Patch0:		%{name}-xkb-options.patch
URL:		https://github.com/ibus/ibus-m17n
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.10
BuildRequires:	gettext-tools >= 0.19
BuildRequires:	libtool
BuildRequires:	m17n-lib-devel
BuildRequires:	gtk+3-devel >= 3.0
BuildRequires:	ibus-devel >= 1.4.0
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.596
BuildRequires:	sed >= 4.0
BuildRequires:	xorg-lib-libX11-devel
Requires(post,postun):	glib2 >= 1:2.26.0
Requires:	ibus >= 1.4.0
Requires:	m17n-lib
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libexecdir	%{_libdir}/ibus

%description
M17N engine for IBus input platform. It allows input of many languages
using the input table maps from m17n-db.

%description -l pl.UTF-8
Silnik M17N dla platformy wprowadzania znaków IBus. Pozwala na
wprowadzanie znaków z wielu języków przy użyciu map tablic wejściowych
z m17n-db.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--with-gtk=3.0

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas

%postun
%glib_compile_schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_libexecdir}/ibus-engine-m17n
%attr(755,root,root) %{_libexecdir}/ibus-setup-m17n
%{_datadir}/glib-2.0/schemas/org.freedesktop.ibus.engine.m17n.gschema.xml
%{_datadir}/ibus-m17n
%{_datadir}/ibus/component/m17n.xml
%{_datadir}/metainfo/m17n.appdata.xml
%{_desktopdir}/ibus-setup-m17n.desktop
%changelog
* Wed Apr 29 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ibus-m17n.git;a=log;h=master

* Sat Apr 25 2020 Jakub Bogusz <qboosh@pld-linux.org> 869fe0b
- updated to 1.4.2
- updated xkb-options patch from Fedora
- dropped outdated Fedora iok,xx-icon-symbol patches (withdrawn)

* Mon Apr 04 2016 Jakub Bogusz <qboosh@pld-linux.org> f2b80a8
- updated URLs

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> d0a9617
- updated gettext BR

* Tue Nov 06 2012 Jan Rękorajski <baggins@pld-linux.org> 5d715e9
- rebuild with ibus 1.4.99
- release 2 (by relup.sh)

* Sun Sep 16 2012 Jakub Bogusz <qboosh@pld-linux.org> fd7a428
- updated to 1.3.4
- updated xkb-options patch
- updated xx-icon-symbol patch (only hotkeys support left - symbol is upstream now)
- removed obsolete HEAD patch

* Fri Jul 22 2011 Jan Rękorajski <baggins@pld-linux.org> e5bda34
- rel 1

* Fri Jul 22 2011 Jan Rękorajski <baggins@pld-linux.org> d818d21
- fix perms

* Wed Jul 20 2011 Jan Rękorajski <baggins@pld-linux.org> fd5a757
- initial revision

